PS_NEW2(3)

      uwe@steinmann.cx
UWE STEINMANN 2003Uwe SteinmannApril 28, 2003;

NAME
PS_new2 — Creates a new PostScript document object

SYNOPSIS

#include <pslib.h>

PSDoc * PS_new2((void (*errorhandler)(PSDoc *p, int type, const char *msg), void* (*allocproc)(PSDoc *p, size_t size, const char *caller), void* (*reallocproc)(PSDoc *p, void *mem, size_t size, const char *caller), void (*freeproc)(PSDoc *p, void *mem), void *opaque)

DESCRIPTION

Creates a new document instance. It does not create the file on disk
          or in memory. It just sets up everything. You may pass your own error
            handler and memory management functions. If you pass NULL values the
            internal default handler and functions will be used. In such case you
            may as well call PS_new(3).

RETURN VALUE

Pointer to new instance of PostScript document or NULL on
          failure.

SEE ALSO

PS_new(3), PS_get_opaque(3), PS_delete(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.